Page MenuHomePhabricator

Introduce GOMP_taskloop API
ClosedPublic

Authored by jlpeyton on Apr 5 2018, 10:11 AM.

Details

Summary

This patch introduces GOMP_taskloop to our API. It adds GOMP_4.5 to our
version symbols. Being a wrapper around kmpc_taskloop, the function
creates a task with the loop bounds properly nested in the shareds so that
the GOMP task thunk will work properly. Also, the firstprivate copy constructors
are properly handled using the
kmp_gomp_task_dup() auxiliary function.

Currently, only linear spawning of tasks is supported for the GOMP_taskloop interface.

Diff Detail

Repository
rL LLVM

Event Timeline

jlpeyton created this revision.Apr 5 2018, 10:11 AM
This revision is now accepted and ready to land.Apr 11 2018, 1:13 PM
Closed by commit rL330282: Introduce GOMP_taskloop API (authored by jlpeyton, committed by ). · Explain WhyApr 18 2018, 12:27 PM
This revision was automatically updated to reflect the committed changes.